%global srcname ayatana-ido

Name:           libayatana-ido
Version:        0.10.1
Release:        2%{?dist}
Summary:        Ayatana Indicator Display Objects

License:        GPL-3.0-only AND LGPL-2.0-or-later AND (LGPL-2.1-only OR LGPL-3.0-only)
URL:            https://github.com/AyatanaIndicators/ayatana-ido
Source0:        https://github.com/AyatanaIndicators/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk3-devel
BuildRequires:  vala

%description
Widgets and other objects used for Ayatana Indicators Shared library providing
extra gtk menu items for display in system Ayatana Indicators.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n ayatana-ido-%{version}


%build
%cmake
%cmake_build


%install
%cmake_install


%{?ldconfig_scriptlets}


%files
%license COPYING COPYING.GPL-3 COPYING.LGPL-2 COPYING.LGPL-2.1 COPYING.LGPL-3
%doc README.md NEWS AUTHORS AUTHORS.Canonical
%{_libdir}/libayatana-ido3-0.4.so.0*
%{_libdir}/girepository-1.0/AyatanaIdo3-0.4.typelib


%files devel
%{_includedir}/*
%{_libdir}/libayatana-ido3-0.4.so
%{_libdir}/pkgconfig/libayatana-ido3-0.4.pc
%{_datadir}/gir-1.0/AyatanaIdo3-0.4.gir
%{_datadir}/vala/vapi/libayatana-ido3-0.4.vapi


%changelog
* Wed Sep 06 2023 Till Maas <opensource@till.name> - 0.10.1-2
- Fix spdx license tag

* Wed Aug 23 2023 Till Maas <opensource@till.name> - 0.10.0-1
 - initial release
